<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ExecutionContext](./puppeteer.executioncontext.md) &gt; [queryObjects](./puppeteer.executioncontext.queryobjects.md)

## ExecutionContext.queryObjects() method

<b>Signature:</b>

```typescript
queryObjects(prototypeHandle: JSHandle): Promise<JSHandle>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  prototypeHandle | [JSHandle](./puppeteer.jshandle.md) |  |

<b>Returns:</b>

Promise&lt;[JSHandle](./puppeteer.jshandle.md)<!-- -->&gt;

